% 
% Various multi-scale methods
%
Res = RI_CFRP_Comp_X;

RI_RVE = RI_CFRP_Comp_X([1,2,5,8],:);
figure(100);clf
plot(RI_RVE(1,:),RI_RVE(2,:),'-*r','linewidth',2,'markersize',10)
hold on
plot(RI_RVE(1,:),RI_RVE(3,:),'-ob','linewidth',2,'markersize',10)
plot(RI_RVE(1,2:end),RI_RVE(4,2:end),'-dk','linewidth',2,'markersize',10)
hold off
set(gca,'fontsize',14)
xlabel('Applied load (MPa)','fontsize',14)
ylabel('Reliability index, \beta','fontsize',14)
legend('CH','MT','RM','location','northwest')
grid on

% 
% Various multi-scale methods
%
RI_Macro = RI_CFRP_Comp_X([1,3,4,6,7,9,10],:);
% CH
figure(101);clf
hold on
plot(RI_Macro(1,:),RI_Macro(2,:),'-*r','linewidth',2,'markersize',10)
plot(RI_Macro(1,:),RI_Macro(3,:),'-ob','linewidth',2,'markersize',10)
hold off
set(gca,'fontsize',14)
xlabel('Applied load (MPa)','fontsize',14)
ylabel('Reliability index, \beta','fontsize',14)
legend('CH-Independent','CH-Correlated','location','northwest')
grid on

% MT
figure(102);clf
hold on
plot(RI_Macro(1,:),RI_Macro(4,:),'-*r','linewidth',2,'markersize',10)
plot(RI_Macro(1,:),RI_Macro(5,:),'-ob','linewidth',2,'markersize',10)
hold off
set(gca,'fontsize',14)
xlabel('Applied load (MPa)','fontsize',14)
ylabel('Reliability index, \beta','fontsize',14)
legend('MT-Independent','MT-Correlated','location','northwest')
grid on

% RM
figure(103);clf
hold on
plot(RI_Macro(1,:),RI_Macro(6,:),'-*r','linewidth',2,'markersize',10)
plot(RI_Macro(1,2:end),RI_Macro(7,2:end),'-ob','linewidth',2,'markersize',10)
hold off
set(gca,'fontsize',14)
xlabel('Applied load (MPa)','fontsize',14)
ylabel('Reliability index, \beta','fontsize',14)
legend('RM-Independent','RM-Correlated','location','northwest')
grid on

% RVE vs Macro
figure(104);clf
hold on
% CH
plot(Res(1,:),Res(2,:),'-r','linewidth',2,'markersize',10)
plot(Res(1,:),Res(4,:),'--ob','linewidth',2,'markersize',10)
% RM
plot(Res(1,:),Res(5,:),'-m','linewidth',2,'markersize',10)
plot(Res(1,:),Res(7,:),'--*g','linewidth',2,'markersize',10)
% MT
plot(Res(1,2:end),Res(8,2:end),'-k','linewidth',2,'markersize',10)
plot(Res(1,2:end),Res(10,2:end),'--dc','linewidth',2,'markersize',10)
hold off
set(gca,'fontsize',14)
xlabel('Applied load (MPa)','fontsize',14)
ylabel('Reliability index, \beta','fontsize',14)
legend('CH-RVE','CH-Macro',...
       'MT-RVE','MT-Macro',...
       'RM-RVE','RM-Macro','location','northwest')
grid on

cd('/Users/nxz6/Dropbox/DURACOMP_Cal/009_MOFEM/07_Failure_Criteria/Paper#7')
%
saveas(figure(100),'RI_RVE','fig')
%
saveas(figure(101),'Macro_IC_CH','epsc')
saveas(figure(101),'Macro_IC_CH','fig')
%
saveas(figure(102),'Macro_IC_MT','fig')
%
saveas(figure(103),'Macro_IC_RM','fig')
%
%
saveas(figure(104),'RVE_vs_Macro','fig')


